/[pcsx2_0.9.7]/auto_build_latest_upstream.sh
ViewVC logotype

Diff of /auto_build_latest_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_build_latest_upstream.sh	2010/09/09 18:08:52	101
+++ auto_build_latest_upstream.sh	2010/09/09 21:18:25	111
@@ -1,19 +1,27 @@
 #!/bin/bash
-. ./auto_defs.sh
+#. ./auto_defs.sh
+
+
 
 if [ "$1" != "" ] ; then
         export OVERRIDE_TMP_BUILD_PATH="$1"
         . ./auto_build_defs.sh
 fi
 
+#UPDATE PCSX2 VERSION
+PCSX2_VERSION=`cat "$$PCSX2_BUILD_TMP/bin/pcsx2-version.txt"`
+
 export DISABLE_AUTO_TAG="0"
 
-if [ "$2" == "--no-auto-tag" ] ; then
-        DISABLE_AUTO_TAG="1"
+if [ "$2" == "--no-auto-branch" ] ; then
+        DISABLE_AUTO_BRANCH="1"
 fi
 if [ "$3" == "--no-prebuild" ] ; then
         DISABLE_PREBUILD="1"
 fi
+if [ "$4" == "--no-cleanup" ] ; then
+        DISABLE_CLEANUP="1"
+fi
 
 # output variables
 echo "---------------------------------------------------------------------------------------"
@@ -22,7 +30,8 @@
 echo -e "\\tMSBUILD PATH: $MSBUILD"
 echo -e "\\tPCSX2 VCS BUILD PATH: $PCSX2_BUILD_TMP"
 echo -e "\\tPCSX2 VCS PROJECT FILE: $VSC_PROJECT_FILE"
-echo -e "\\tPCSX2 VERSION: $VSC_BUILD_VERSION_UPSTREAM"
+echo -e "\\tPCSX2 UPSTREAM VERSION: $VSC_BUILD_VERSION_UPSTREAM"
+echo -e "\\tPCSX2 LOCAL TRUNK VERSION: $PCSX2_VERSION"
 echo -e "\\tPCSX2 LOCAL VERSION: $VSC_BUILD_VERSION_LOCAL"
 echo
 echo "---------------------------------------------------------------------------------------"
@@ -34,14 +43,17 @@
 
 # call auto prebuild
 if [ "$DISABLE_PREBUILD" == "0" ] ; then
-if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
-	"$downstream_export_location/auto_prebuild_latest_upstream.sh"
-	if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
-		echo "PREBUILD FAILED..."
-		exit 1
-	fi	
+	if [ "$AUTO_PREBUILD_DONE" == "" ] ; then
+		"$downstream_export_location/auto_prebuild_latest_upstream.sh"
+		if [ "$AUTO_PREBUILD_DONE" != "true" ] ; then
+			echo "PREBUILD FAILED..."
+			exit 1
+		fi	
+	fi
 else
 echo "PREBUILD HAS BEEN DISABLED..."	
+cd "$PCSX2_BUILD_TMP"
+find -name *.pch -exec rm -f {} \;
 echo	
 fi
 
@@ -59,33 +71,43 @@
 
 	# START POST BUILD
 	echo "PERFORMING POSTBUILD:"
-	cp -Rfv "$PCSX2_BUILD_TMP/bin"/* "$BRANCH_LOCATION/$BRANCH_NAME/bin/"
+	cp -Rfv "$PCSX2_BUILD_TMP/bin"/* "$downstream_export_location/trunk/bin/"
 	echo "POSTBUILD COMPLETED..."
 	# END POST BUILD
 
 	# CLEANUP
 	echo "PERFORMING CLEANUP"
-	cd "$BUILD_TMP_DIR"
-	rm -Rf "$PCSX2_BUILD_TMP"
-	rm -Rf *
-	echo "CLEANUP COMPLETE..."
+	if [ "$DISABLE_CLEANUP" == "0" ] ; then
+		cd "$BUILD_TMP_DIR"
+		rm -Rf "$PCSX2_BUILD_TMP"
+		rm -Rf *
+		echo "CLEANUP COMPLETE..."
+	else
+	echo "CLEANUP DISABLED..."
+	fi
 
 	echo
 	echo "AUTOBUILD COMPLETE..."
 	# perform auto tagging
-	if [ "$DISABLE_AUTO_TAG" == "0" ] ; then
-		"$downstream_export_location/auto_tag_latest_upstream.sh"
+	if [ "$DISABLE_AUTO_BRANCH" == "0" ] ; then
+		# Always force auto branch update after building
+		"$downstream_export_location/auto_branch_latest_upstream.sh" --force-update
 	else
-		echo "AUTO BUILD TAGGING HAS BEEN DISABLED ... not calling auto_tag_latest_upstream.sh --> to enable do not use --no-auto-tag"
+		echo "AUTO BUILD BRANCH HAS BEEN DISABLED ... not calling auto_branch_latest_upstream.sh --> to enable do not use --no-auto-branch"
 	fi
 else
 
 	# CLEANUP
 	echo "PERFORMING CLEANUP"
-	cd "$BUILD_TMP_DIR"
-	rm -Rf "$PCSX2_BUILD_TMP"
-	rm -Rf *
-	echo "CLEANUP COMPLETE..."
+	
+	if [ "$DISABLE_CLEANUP" == "0" ] ; then
+		cd "$BUILD_TMP_DIR"
+		rm -Rf "$PCSX2_BUILD_TMP"
+		rm -Rf *
+		echo "CLEANUP COMPLETE..."
+	else
+	echo "CLEANUP DISABLED..."
+	fi
 	echo
 	echo "BUILD FAILED..."
 	echo

 

  ViewVC Help
Powered by ViewVC 1.1.22